function rt_tbl = Schlogl_rates_table(Omega, N)
%
% Computes the rates for the Schlogl model and save them to a table. Four
% reactions may occur.
%
%  ---- INPUT PARAMETERS ----
%   Omega: volume of the system, [1x1]
%   N: maximum number of molecules, [1x1]
%
% ---- OUTPUT PARAMETERS ----
%   rt: table with rates, [Nxd]
%
% (c) Math & Stat, Umass, Amherst, 2014

n = 0:N;
rt_tbl = zeros(N+1, 4);

rt_tbl(:,1) = 1/Omega * n.*(n-1)/2;
rt_tbl(:,2) = 1/Omega^2 * n.*(n-1).*(n-2)/6;
rt_tbl(:,3) = Omega;
rt_tbl(:,4) = n;

