function create_getrate_m(data)
%
% Create a 'get_rate.m' file which return the rate of the
% specified "reaction" with current population "X" and reaction constant "con"
%
% ---- INPUT PARAMETERS ----
%   data: data structure array
%
% ---- OUTPUT PARAMETERS ----
%  get_rate(reaction, data).m function 
% 
% (c) Math & Stat, Umass, Amherst, 2014

fid = fopen('get_rate.m','w'); 
l1='function rate = get_rate(reaction, data)';
l2='%';
l3='% Return the rate of the specified "reaction" with current population "X" and reaction constant "con"';
l4='%';
l5='% ---- INPUT PARAMETERS ----';
l6='% reaction: reaction number'; 
l7='% data: data structure array';
l8='%';
l9='% ---- OUTPUT PARAMETERS ----';
l10='% rate: reaction rate';
l11='%';
l12='% (c) Math & Stat, Umass, Amherst, 2014';
l13='X = double(data.X)';
l14='con = data.con';
l15='switch reaction';
fprintf(fid,'%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n\n%s;\n%s;\n\n%s\n',l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13,l14,l15); 
for i=1:length(data.props)
    g=char(data.props{i});
    fprintf(fid,'case %d\n \t rate = %s;\n',i,g);     
end
lend='end';
fprintf(fid,'%s',lend); 
fclose(fid);