function F = get_PFIM(reaction, data)
%
% Return the value of the specified "reaction" in PFIM
%
% ---- INPUT PARAMETERS ----
% reaction: reaction number
% data: data structure array
%
% ---- OUTPUT PARAMETERS ----
% F: the value of the specified "reaction" in PFIM
%
% (c) Math & Stat, Umass, Amherst, 2014

X=data.X;
con=data.con;

switch reaction
case 1
 	 F = X(2)*con(1);
case 2
 	 F = (X(2)*con(2)^2)/(con(2) + (X(2)*con(3))/(X(2) + con(4)));
case 3
 	 F = (X(2)^2*con(2)*con(3))/((X(2) + con(4))*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 4
 	 F = -(X(2)^2*con(2)*con(3)*con(4))/((X(2) + con(4))^2*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 5
 	 F = (X(2)^2*con(2)*con(3))/((X(2) + con(4))*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 6
 	 F = (X(2)^3*con(3)^2)/((X(2) + con(4))^2*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 7
 	 F = -(X(2)^3*con(3)^2*con(4))/((X(2) + con(4))^3*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 8
 	 F = -(X(2)^2*con(2)*con(3)*con(4))/((X(2) + con(4))^2*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 9
 	 F = -(X(2)^3*con(3)^2*con(4))/((X(2) + con(4))^3*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 10
 	 F = (X(2)^3*con(3)^2*con(4)^2)/((X(2) + con(4))^4*(con(2) + (X(2)*con(3))/(X(2) + con(4))));
case 11
 	 F = X(2)*con(5);
case 12
 	 F = X(3)*con(6);
case 13
 	 F = (X(3)*con(7)^2)/(con(7) + (X(3)*con(8))/(X(3) + con(9)));
case 14
 	 F = (X(3)^2*con(7)*con(8))/((X(3) + con(9))*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 15
 	 F = -(X(3)^2*con(7)*con(8)*con(9))/((X(3) + con(9))^2*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 16
 	 F = (X(3)^2*con(7)*con(8))/((X(3) + con(9))*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 17
 	 F = (X(3)^3*con(8)^2)/((X(3) + con(9))^2*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 18
 	 F = -(X(3)^3*con(8)^2*con(9))/((X(3) + con(9))^3*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 19
 	 F = -(X(3)^2*con(7)*con(8)*con(9))/((X(3) + con(9))^2*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 20
 	 F = -(X(3)^3*con(8)^2*con(9))/((X(3) + con(9))^3*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 21
 	 F = (X(3)^3*con(8)^2*con(9)^2)/((X(3) + con(9))^4*(con(7) + (X(3)*con(8))/(X(3) + con(9))));
case 22
 	 F = X(3)*con(10);
case 23
 	 F = X(4)*con(11);
end